Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 1371323003: Escape "--" in the page URL at page serialization (Closed)

Created:
3 years, 10 months ago by yosin_UTC9
Modified:
3 years, 10 months ago
Reviewers:
tkent
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Escape "--" in the page URL at page serialization This patch makes page serializer to escape the page URL embed into a HTML comment of result HTML[1] to avoid inserting text as HTML from URL by introducing a static member function |PageSerialzier::markOfTheWebDeclaration()| for sharing it between |PageSerialzier| and |WebPageSerialzier| classes. [1] We use following format for serialized HTML: saved from url=(${lengthOfURL})${URL} BUG=503217 TEST=webkit_unit_tests --gtest_filter=PageSerializerTest.markOfTheWebDeclaration TEST=webkit_unit_tests --gtest_filter=WebPageSerializerTest.fromUrlWithMinusMinu Committed: https://crrev.com/a81593e7f162428585832ac8f6e71f75592b53e7 Cr-Commit-Position: refs/heads/master@{#351736}

Patch Set 1 : 2015-09-30T17:19:13 #

Total comments: 3

Patch Set 2 : 2015-09-30T19:11:33 Follow review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+73 lines, -5 lines) Patch
M third_party/WebKit/Source/core/page/PageSerializer.h View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/page/PageSerializer.cpp View 1 2 chunks +23 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/web/WebPageSerializer.cpp View 1 chunk +7 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/web/tests/PageSerializerTest.cpp View 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/tests/WebPageSerializerTest.cpp View 3 chunks +31 lines, -0 lines 0 comments Download
A + third_party/WebKit/Source/web/tests/data/pageserialization/text_only_page.html View 0 chunks +-1 lines, --1 lines 0 comments Download

Messages

Total messages: 9 (2 generated)
yosin_UTC9
PTAL
3 years, 10 months ago (2015-09-30 08:52:28 UTC) #2
tkent
https://codereview.chromium.org/1371323003/diff/1/third_party/WebKit/Source/core/page/PageSerializer.cpp File third_party/WebKit/Source/core/page/PageSerializer.cpp (right): https://codereview.chromium.org/1371323003/diff/1/third_party/WebKit/Source/core/page/PageSerializer.cpp#newcode594 third_party/WebKit/Source/core/page/PageSerializer.cpp:594: builder.append(ch); This line adds a part of UTF8-encoded Unicode ...
3 years, 10 months ago (2015-09-30 09:01:46 UTC) #3
yosin_UTC9
PTAL https://codereview.chromium.org/1371323003/diff/1/third_party/WebKit/Source/core/page/PageSerializer.cpp File third_party/WebKit/Source/core/page/PageSerializer.cpp (right): https://codereview.chromium.org/1371323003/diff/1/third_party/WebKit/Source/core/page/PageSerializer.cpp#newcode594 third_party/WebKit/Source/core/page/PageSerializer.cpp:594: builder.append(ch); On 2015/09/30 09:01:46, tkent wrote: > This ...
3 years, 10 months ago (2015-09-30 10:15:00 UTC) #4
tkent
lgtm
3 years, 10 months ago (2015-10-01 01:58:30 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1371323003/10007 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1371323003/10007
3 years, 10 months ago (2015-10-01 05:52:02 UTC) #7
commit-bot: I haz the power
Committed patchset #2 (id:10007)
3 years, 10 months ago (2015-10-01 05:57:42 UTC) #8
commit-bot: I haz the power
3 years, 10 months ago (2015-10-01 05:59:31 UTC) #9
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/a81593e7f162428585832ac8f6e71f75592b53e7
Cr-Commit-Position: refs/heads/master@{#351736}

Powered by Google App Engine
This is Rietveld 408576698